Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlLabel Class Reference

`#include <GlLabel.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlLabel:

[legend]
Collaboration diagram for tlp::GlLabel:

[legend]
List of all members.

## Detailed Description

Create a entity Label

## Public Member Functions

- GlLabel ()
- GlLabel (Coord centerPosition, Coord size, Color fontColor, bool leftAlign=false)
- GlLabel (const std::string &fontPath, Coord centerPosition, Coord size, Color fontColor, bool leftAlign=false)
- ~GlLabel ()
- void setText (const std::string &text)
- virtual BoundingBox getBoundingBox ()
- virtual Coord getSize ()
- virtual void setColor (const Color &color)
- virtual Color getColor ()
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- virtual void rotate (float xRot, float yRot, float zRot)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)
- virtual void setBoldFont ()
- virtual void setPlainFont ()
- virtual void setRenderingMode (int mode)

## Static Public Attributes

- static const int TEXTURE_MODE = 0
- static const int POLYGON_MODE = 1

## Constructor & Destructor Documentation

tlp::GlLabel::GlLabel | ( |  | ) |

tlp::GlLabel::GlLabel | ( | Coord | centerPosition,
|  | Coord | size,
|  | Color | fontColor,
|  | bool | leftAlign = `false`
| ) |

| Contructor with fontPath, centerPosition, size, fontColor and alignment

tlp::GlLabel::GlLabel | ( | const std::string & | fontPath,
|  | Coord | centerPosition,
|  | Coord | size,
|  | Color | fontColor,
|  | bool | leftAlign = `false`
| ) |

| Contructor with fontPath, centerPosition, size, fontColor and alignment this constructor will be remove on Tulip 4 version

tlp::GlLabel::~GlLabel | ( |  | ) |

## Member Function Documentation

virtual void tlp::GlLabel::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw the Label Implements tlp::GlSimpleEntity.

virtual BoundingBox tlp::GlLabel::getBoundingBox | ( |  | ) | `[virtual]`

| Return the bounding box of the label Reimplemented from tlp::GlSimpleEntity.

virtual Color tlp::GlLabel::getColor | ( |  | ) | `[inline, virtual]`

| Get color use to render the label

virtual Coord tlp::GlLabel::getSize | ( |  | ) | `[virtual]`

| return the size of the text

virtual void tlp::GlLabel::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to export data in XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlLabel::rotate | ( | float | xRot,
|  | float | yRot,
|  | float | zRot
| ) | `[virtual]`

| Rotate Label

virtual void tlp::GlLabel::setBoldFont | ( |  | ) | `[virtual]`

| Switch to bold font

virtual void tlp::GlLabel::setColor | ( | const Color & | color | ) | `[inline, virtual]`

| Set color of label

virtual void tlp::GlLabel::setPlainFont | ( |  | ) | `[virtual]`

| Switch to plain font

virtual void tlp::GlLabel::setRenderingMode | ( | int | mode | ) | `[virtual]`

| Switch rendering mode to polygon- or texture-based rendering

void tlp::GlLabel::setText | ( | const std::string & | text | ) |

| Set the text of the label

virtual void tlp::GlLabel::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to set data with XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlLabel::translate | ( | const Coord & | mouvement | ) | `[virtual]`

| Translate entity Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

const int tlp::GlLabel::POLYGON_MODE = 1`[static]`

const int tlp::GlLabel::TEXTURE_MODE = 0`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010